DBT.DEV_BROADCAST_DEVNODE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: DBT, class: DEV_BROADCAST_DEVNODE

Package com.sun.jna.platform.win32

# Class DBT.DEV_BROADCAST_DEVNODE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.DBT.DEV_BROADCAST_DEVNODE

Enclosing interface:
  DBT

@FieldOrder({"dbcd_size","dbcd_devicetype","dbcd_reserved","dbcd_devnode"}) public static class DBT.DEV_BROADCAST_DEVNODE extends Structure
The Class DEV_BROADCAST_DEVNODE.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dbcd_devicetype`
  The dbcd_devicetype.
  `int`
  `dbcd_devnode`
  The dbcd_devnode.
  `int`
  `dbcd_reserved`
  The dbcd_reserved.
  `int`
  `dbcd_size`
  The dbcd_size.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DEV_BROADCAST_DEVNODE()`
  Instantiates a new dev broadcast devnode.
  `DEV_BROADCAST_DEVNODE(Pointer memory)`
  Instantiates a new dev broadcast devnode.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dbcd_size

    public int dbcd_size
    The dbcd_size.

  - ### dbcd_devicetype

    public int dbcd_devicetype
    The dbcd_devicetype.

  - ### dbcd_reserved

    public int dbcd_reserved
    The dbcd_reserved.

  - ### dbcd_devnode

    public int dbcd_devnode
    The dbcd_devnode.

- ## Constructor Details

  - ### DEV_BROADCAST_DEVNODE

    public DEV_BROADCAST_DEVNODE()
    Instantiates a new dev broadcast devnode.

  - ### DEV_BROADCAST_DEVNODE

    public DEV_BROADCAST_DEVNODE(Pointer memory)
    Instantiates a new dev broadcast devnode.
    Parameters:
      `memory` - the memory